## python-misaka 1.0.2

=== docs/Makefile ===
all:
	elyse ./ _build/

=== debian/changelog ===
python-misaka (1.0.2-2build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:27 +0100

python-misaka (1.0.2-2) unstable; urgency=medium

  * Build-depends on python3-all-dev to avoid FTBFS with Python 3.4, thanks to
    Matthias Klose for the bug report (Closes: #736706).
  * Now depends on realpath.
  * Fixed debian/copyright.
  * Manages /usr/bin/misaka using update-alternatives.
  * Standards-Version: is now 3.9.5.
  * Added cython, cython3 as build-depends.
  * Added autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Feb 2014 08:57:25 +0000

python-misaka (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #721705)

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 22:27:22 +0800

=== debian/control ===
Source: python-misaka
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: cython,
               cython3,
               debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-dev (>= 2.7.5-4) | python2.6-dev,
               python-dev (>= 2.7.5-4) | python2.7-dev,
               python-setuptools,
               python3-all,
               python3-all-dev,
               python3-dev,
               python3-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-misaka.git
Vcs-Git: git://anonscm.debian.org/openstack/python-misaka.git
Homepage: http://misaka.61924.nl/
XS-Testsuite: autopkgtest

Package: python-misaka
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: realpath, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: ${python:Recommends}
Description: binding for Sundown, a markdown parsing library - python 2.x
 Misaca is A Python 2 and 3 binding for Sundown, a really fast Markdown parser
 implemented in C. Misaka is written in Cython and C. And it features a set of
 Markdown extensions and customizable renderers. Just like the Sundown binding
 for Ruby, Redcarpet.
 .
 This package provides the Python 2.x module.

Package: python3-misaka
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: realpath, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: ${python3:Recommends}
Description: binding for Sundown, a markdown parsing library - python 3.x
 Misaca is A Python 2 and 3 binding for Sundown, a really fast Markdown parser
 implemented in C. Misaka is written in Cython and C. And it features a set of
 Markdown extensions and customizable renderers. Just like the Sundown binding
 for Ruby, Redcarpet.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/FSX/misaka.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_clean:
	echo "Nothing to do"

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-misaka; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-misaka; \
	done
	# Handle the fact that the misaka script is on both packages
	mv $(CURDIR)/debian/python-misaka/usr/bin/misaka $(CURDIR)/debian/python-misaka/usr/bin/python2-misaka
	mv $(CURDIR)/debian/python3-misaka/usr/bin/misaka $(CURDIR)/debian/python3-misaka/usr/bin/python3-misaka

=== debian/tests/control ===
Tests: python-misaka
Depends: python-all, python-misaka, tidy

Tests: python3-misaka
Depends: python3-all, python3-misaka, tidy

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/m/misaka misaka-(.*).tar.gz
